Skip to content

Örnek İstek & Yanıt ​

Ön Provizyon (Pre-Sale) işlemi için, istek ve yanıt örneğini aşağıda bulabilirsiniz.

Endpoint ​

POST /api/Payment/PreSale

İstek Gövdesi (Request Body) ​

http
POST/api/Payment/PreSale
{
    "orderId": "3f6399c2-fa32-4ddf-aed6-8898ab05fe33",
    "cardNo": "4920950073509841",
    "expiry": 2506,
    "cvv2": "166",
    "amount": 5700,
    "currency": 949,
    "installmentCount": 1,
    "ecommerceTxnType": 0,
    "txnInitiationType": 0,
    "cardHolderIp": "188.132.138.70",
    "merchantIp": "188.132.138.71",
    "subMerchantIp": "188.132.138.72",
    "lang": "TR",
    "additionalInfo": "no: 123456789",
    "invoiceInfo": "test deneme"
}

Başarılı Yanıt (HTTP 200) ​

json
{
    "state": 1,
    "result": {
        "processId": "b01c2da6-a57b-4a0f-8693-bc3e2f60222e",
        "orderId": "3f6399c2-fa32-4ddf-aed6-8898ab05fe33",
        "resultMessage": "Approved. ",
        "resultCode": "",
        "procReturnCode": "00",
        "authCode": "491769",
        "secureType": "Non-3DS",
        "txnType": "PreSale",
        "cardMask": "49209500evrwia41",
        "amount": 5700,
        "pointAmount": 0,
        "installmentCount": 1,
        "merchantId": "000000001002585",
        "terminalId": "VP003636",
        "batchNo": 55146,
        "processDate": "2025-09-16T15:49:54.8906111+03:00",
        "rrn": "525915008491",
        "additionalInfo": "no: 123456789",
        "invoiceInfo": "test deneme",
        "ecommerceTxnType": 0,
        "txnInitiationType": 0
    }
}